<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/image_view_back"
            android:layout_width="35dp"
            android:layout_height="25dp"
            android:layout_marginStart="15dp"
            android:layout_marginTop="35dp"
            android:src="@drawable/ic_left_back"
            app:tint="@color/colorPrimary" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="vertical"
            android:paddingStart="20dp"
            android:paddingEnd="20dp">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/default_home_margin_top"
                android:text="@string/confirmation"
                android:textColor="@color/colorPink"
                android:textSize="@dimen/default_home_text_size" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/enter_6_digit"
                android:textColor="@android:color/black"
                android:textSize="@dimen/default_text_size" />

            <LinearLayout
                android:id="@+id/view_input_code"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5x_size"
                android:gravity="center"
                android:orientation="horizontal">

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/edit_text_confirm_code_one"
                    android:layout_width="@dimen/margin_4x_size"
                    android:layout_height="@dimen/margin_10x_size"
                    android:layout_margin="@dimen/margin_1x_size"
                    android:layout_weight="1"
                    android:autofillHints="smsOTPCode"
                    android:background="@drawable/bg_edit_text_gray_stroke"
                    android:clickable="false"
                    android:gravity="center"
                    android:importantForAutofill="yes"
                    android:padding="8dp"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/xxx_large_text_size" />

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/edit_text_confirm_code_two"
                    android:layout_width="@dimen/margin_4x_size"
                    android:layout_height="@dimen/margin_10x_size"
                    android:layout_margin="@dimen/margin_1x_size"
                    android:layout_weight="1"
                    android:autofillHints="smsOTPCode"
                    android:background="@drawable/bg_edit_text_gray_stroke"
                    android:gravity="center"
                    android:importantForAutofill="yes"
                    android:padding="8dp"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/xxx_large_text_size" />

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/edit_text_confirm_code_three"
                    android:layout_width="@dimen/margin_4x_size"
                    android:layout_height="@dimen/margin_10x_size"
                    android:layout_margin="@dimen/margin_1x_size"
                    android:layout_weight="1"
                    android:autofillHints="smsOTPCode"
                    android:background="@drawable/bg_edit_text_gray_stroke"
                    android:gravity="center"
                    android:importantForAutofill="yes"
                    android:padding="8dp"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/xxx_large_text_size" />

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/edit_text_confirm_code_four"
                    android:layout_width="@dimen/margin_4x_size"
                    android:layout_height="@dimen/margin_10x_size"
                    android:layout_margin="@dimen/margin_1x_size"
                    android:layout_weight="1"
                    android:autofillHints="smsOTPCode"
                    android:background="@drawable/bg_edit_text_gray_stroke"
                    android:gravity="center"
                    android:importantForAutofill="yes"
                    android:padding="8dp"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/xxl_large_text_size" />

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/edit_text_confirm_code_five"
                    android:layout_width="@dimen/margin_4x_size"
                    android:layout_height="@dimen/margin_10x_size"
                    android:layout_margin="@dimen/margin_1x_size"
                    android:layout_weight="1"
                    android:autofillHints="smsOTPCode"
                    android:background="@drawable/bg_edit_text_gray_stroke"
                    android:gravity="center"
                    android:importantForAutofill="yes"
                    android:padding="8dp"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/xxx_large_text_size" />

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/edit_text_confirm_code_six"
                    android:layout_width="@dimen/margin_4x_size"
                    android:layout_height="@dimen/margin_10x_size"
                    android:layout_margin="@dimen/margin_1x_size"
                    android:layout_weight="1"
                    android:autofillHints="smsOTPCode"
                    android:background="@drawable/bg_edit_text_gray_stroke"
                    android:gravity="center"
                    android:importantForAutofill="yes"
                    android:padding="8dp"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/xxx_large_text_size" />

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="10dp">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_resend_code_confirm"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:padding="5dp"
                    android:text="@string/resend_verification_code"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/large_text_size" />

                <LinearLayout
                    android:id="@+id/layout_action_code_sent"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:visibility="gone">

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/verification_code_is_sent"
                        android:textColor="@color/colorGray"
                        android:textSize="@dimen/large_text_size" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:alpha="0.4"
                        android:text="  |  "
                        android:textColor="@color/colorGray"
                        android:textSize="@dimen/large_text_size" />

                    <TextView
                        android:id="@+id/tv_confirm_code_sent"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/large_text_size" />
                </LinearLayout>

            </RelativeLayout>

            <!--<LinearLayout-->
            <!--android:layout_width="wrap_content"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:layout_gravity="center_horizontal">-->

            <!--<com.example.seatel.util.customview.CustomTextView-->
            <!--android:layout_width="wrap_content"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:layout_gravity="center"-->
            <!--android:layout_marginEnd="@dimen/margin_3x_size"-->
            <!--android:text="02:00"-->
            <!--android:textColor="@android:color/black"-->
            <!--android:textSize="@dimen/default_text_size" />-->

            <!--<View-->
            <!--android:layout_width="1dp"-->
            <!--android:layout_height="15dp"-->
            <!--android:layout_gravity="center"-->
            <!--android:layout_marginStart="5dp"-->
            <!--android:background="@color/colorGray" />-->

            <!--<com.example.seatel.util.customview.CustomTextView-->
            <!--android:id="@+id/resent_code"-->
            <!--android:layout_width="wrap_content"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:layout_gravity="center"-->
            <!--android:layout_marginStart="@dimen/margin_3x_size"-->
            <!--android:drawablePadding="3dp"-->
            <!--android:drawableStart="@drawable/ic_resend"-->
            <!--android:padding="@dimen/margin_1x_size"-->
            <!--android:text="@string/resend"-->
            <!--android:textColor="@android:color/black"-->
            <!--android:textSize="@dimen/default_text_size" />-->


            <!--</LinearLayout>-->

        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_keyboard"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomButton
                android:id="@+id/button_confirm"
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:layout_gravity="center"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/bg_button_primary"
                android:gravity="center"
                android:text="@string/yes"
                android:textAllCaps="false"
                android:textColor="@android:color/white"
                android:textSize="@dimen/default_text_size" />

            <com.seatel.mobilehall.util.customview.CustomKeyboard
                android:id="@+id/keyboard_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:paddingStart="18dp"
                android:paddingEnd="18dp"
                android:visibility="gone" />

        </LinearLayout>

        <TextView
            android:id="@+id/text_view_hidden"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:maxLength="6"
            android:visibility="gone" />
    </LinearLayout>

    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</RelativeLayout>